// -----------------------------------------------------------------------
// MatchPoint - DKFZ translational registration framework
//
// Copyright (c) German Cancer Research Center (DKFZ),
// Software development for Integrated Diagnostics and Therapy (SIDT).
// ALL RIGHTS RESERVED.
// See mapCopyright.txt or
// http://www.dkfz.de/en/sidt/projects/MatchPoint/copyright.html
//
// This software is distributed WITHOUT ANY WARRANTY; without even
// the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
// PURPOSE.  See the above copyright notices for more information.
//
//------------------------------------------------------------------------
/*!
// @file
// @version $Revision: 797 $ (last changed revision)
// @date    $Date: 2014-10-10 11:42:05 +0200 (Fr, 10 Okt 2014) $ (last change date)
// @author  $Author: floca $ (last changed by)
// Subversion HeadURL: $HeadURL: https://svn/sbr/Sources/SBR-Projects/MatchPoint/trunk/Code/Core/include/mapImageMappingPerformerBase.tpp $
*/


#ifndef __MAP_IMAGE_MAPPING_PERFORMER_BASE_TPP
#define __MAP_IMAGE_MAPPING_PERFORMER_BASE_TPP

#include "mapImageMappingPerformerBase.h"

namespace map
{
	namespace core
	{

		// Diese Datei ist ein Stub und muss noch ausimplementiert werden.

		template <class TRegistration, class TInputData, class TResultData>
		ImageMappingPerformerBase<TRegistration, TInputData, TResultData>::
		ImageMappingPerformerBase()
		{
			// todo
		}

		template <class TRegistration, class TInputData, class TResultData>
		ImageMappingPerformerBase<TRegistration, TInputData, TResultData>::
		~ImageMappingPerformerBase()
		{
			// todo
		}



	} // end namespace core
} // end namespace map

#endif
